

<!doctype html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>event_stats module &#8212; igscp_stats 0.0.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/bizstyle.css" />
    
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/bizstyle.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <meta name="viewport" content="width=device-width,initial-scale=1.0" />
    <!--[if lt IE 9]>
    <script src="_static/css3-mediaqueries.js"></script>
    <![endif]-->
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">igscp_stats 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">event_stats module</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="module-event_stats">
<span id="event-stats-module"></span><h1>event_stats module<a class="headerlink" href="#module-event_stats" title="Permalink to this heading">¶</a></h1>
<p>Created on Nov 30, 2020</p>
<p>&#64;author: wacero</p>
<dl class="py function">
<dt class="sig sig-object py" id="event_stats.event2dataframe">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">event2dataframe</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event_list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.event2dataframe" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.get_event_by_id">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">get_event_by_id</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">fdsn_client</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">event_id</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.get_event_by_id" title="Permalink to this definition">¶</a></dt>
<dd><p>Obtiene los eventos por dia</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>fdsn_client</strong> (<em>string</em>) – cliente fdsn</p></li>
<li><p><strong>start_time</strong> (<em>int</em>) – hora de inicio</p></li>
<li><p><strong>end_time</strong> (<em>int</em>) – hora de finalizacion</p></li>
</ul>
</dd>
</dl>
<p>:return obspy.event.catalog 
:raises Exception e: Error al obtener eventos</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.get_events_by_day">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">get_events_by_day</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">fdsn_client</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">start_time</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">end_time</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.get_events_by_day" title="Permalink to this definition">¶</a></dt>
<dd><p>Obtiene los eventos por dia</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>fdsn_client</strong> (<em>string</em>) – cliente fdsn</p></li>
<li><p><strong>start_time</strong> (<em>int</em>) – hora de inicio</p></li>
<li><p><strong>end_time</strong> (<em>int</em>) – hora de fin</p></li>
</ul>
</dd>
</dl>
<p>:return obspy.event.catalog 
:raises Exception e: Error al obtener eventos</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.get_fdsn_client">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">get_fdsn_client</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">fdsn_server</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">fdsn_port</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.get_fdsn_client" title="Permalink to this definition">¶</a></dt>
<dd><p>Cliente para conectarse a un servidor FDSN</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>fdsn_server</strong> (<em>string</em>) – IP del servidor FDSN</p></li>
<li><p><strong>fdns_port</strong> (<em>string</em>) – puerto FDSN</p></li>
</ul>
</dd>
<dt class="field-even">Raises<span class="colon">:</span></dt>
<dd class="field-even"><p><strong>Exception e</strong> – Mensaje de excepcion</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.get_influx_DF_client">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">get_influx_DF_client</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">host</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">port</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">user</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">passw</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">db_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.get_influx_DF_client" title="Permalink to this definition">¶</a></dt>
<dd><p>Obtiene un cliente influx</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>host</strong> (<em>string</em>) – ip del servidor</p></li>
<li><p><strong>port</strong> (<em>string</em>) – puerto del servidor</p></li>
<li><p><strong>user</strong> (<em>string</em>) – usuario</p></li>
<li><p><strong>passw</strong> (<em>string</em>) – contrasena</p></li>
<li><p><strong>db_name</strong> (<em>string</em>) – nombre de la base de datos</p></li>
</ul>
</dd>
</dl>
<p>:return InfluxDBClient
:Raises Exception e: error al crear el cliente influx</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.get_influx_client">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">get_influx_client</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">host</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">port</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">user</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">passw</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">db_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.get_influx_client" title="Permalink to this definition">¶</a></dt>
<dd><p>Obtiene un cliente influx</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>host</strong> (<em>string</em>) – ip del servidor</p></li>
<li><p><strong>port</strong> (<em>string</em>) – puerto del servidor</p></li>
<li><p><strong>user</strong> (<em>string</em>) – usuario</p></li>
<li><p><strong>passw</strong> (<em>string</em>) – contrasena</p></li>
<li><p><strong>db_name</strong> (<em>string</em>) – nombre de la base de datos</p></li>
</ul>
</dd>
</dl>
<p>:return InfluxDBClient
:Raises Exception e: error al crear el cliente influx</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.insert_event_2_influxdb">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">insert_event_2_influxdb</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">eventos</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">client_ifxdb</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.insert_event_2_influxdb" title="Permalink to this definition">¶</a></dt>
<dd><p>Guarda una lista de eventos en una base de datos de series de tiempo</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>eventos</strong> (<em>list</em>) – lista de objetos obspy.core.event</p></li>
<li><p><strong>client_ifxdb</strong> (<em>string</em>) – cliente influx</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.insert_events_df">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">insert_events_df</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">events_df</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">client_ifxdb</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.insert_events_df" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.insert_false_picks">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">insert_false_picks</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">events</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">client_ifxdb</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.insert_false_picks" title="Permalink to this definition">¶</a></dt>
<dd><p>Guarda en una base de datos los picados de eventos falsos</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>events</strong> (<em>list</em>) – obspy.core.event</p></li>
<li><p><strong>client_ifxdb</strong> (<em>influx.client</em>) – cliente ifxdb</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.insert_network_magnitudes">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">insert_network_magnitudes</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">network_mag_pd</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">client_ifxdb</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.insert_network_magnitudes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="event_stats.insert_station_magnitudes">
<span class="sig-prename descclassname"><span class="pre">event_stats.</span></span><span class="sig-name descname"><span class="pre">insert_station_magnitudes</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">station_mag_pd</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">client_ifxdb</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#event_stats.insert_station_magnitudes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/event_stats.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">igscp_stats 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">event_stats module</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2022, wacero, jperez.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 5.1.1.
    </div>
  </body>
</html>